| Kea 3.0.2-git

json_config_parser.h File Reference
`#include <cc/data.h>`
`#include <dhcpsrv/parsers/dhcp_parsers.h>`
`#include <exceptions/exceptions.h>`
`#include <string>`
Include dependency graph for dhcp4/json_config_parser.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Functions
isc::data::ConstElementPtr | isc::dhcp::configureDhcp4Server (Dhcpv4Srv &server, isc::data::ConstElementPtr config_set, bool check_only=false, bool extra_checks=false)
| Configure DHCPv4 server (`Dhcpv4Srv`) with a set of configuration values.